Page MenuHomeFreeBSD

New port: x11-themes/arc-gruvbox-theme
ClosedPublic

Authored by jonathan on Jan 30 2018, 6:29 PM.

Details

Summary

Gruvbox variation of an Arc Black fork

WWW: https://github.com/Benoth/arc-variations

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jonathan created this revision.Jan 30 2018, 6:29 PM
mat added a subscriber: mat.Jan 31 2018, 7:50 AM
mat added inline comments.
x11-themes/arc-gruvbox-theme/Makefile
4 ↗(On Diff #38682)

Never use a commit hash here, they are unpredictable.

Use gyyyymmdd using the date of the commit: Example 5.13. Using USE_GITHUB When Upstream Does Not Use Versions.

21–22 ↗(On Diff #38682)

NO_BUILD=yes

jonathan updated this revision to Diff 38718.Jan 31 2018, 2:02 PM
jonathan marked 2 inline comments as done.
  • Clean up as per review comments.
mat accepted this revision.Jan 31 2018, 2:20 PM

Looks good. Note that by "date of the commit" I meant date of the commit you reference in GH_TAGNAME, not the date you will commit it in the FreeBSD ports tree. Here, it seems the date is 2016-12-21.

This revision is now accepted and ready to land.Jan 31 2018, 2:20 PM
This revision was automatically updated to reflect the committed changes.